User account creation filtered due to spam.

Bug 7102 - unsigned char divisision results in floating exception
Summary: unsigned char divisision results in floating exception
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 3.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: wrong-code
Depends on:
Blocks:
 
Reported: 2002-06-23 03:06 UTC by klfd21
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments
unsigned_char_division_error.c (85 bytes, application/octet-stream)
2003-05-21 15:16 UTC, klfd21
Details

Note You need to log in before you can comment on or make changes to this bug.
Description klfd21 2002-06-23 03:06:00 UTC
Floating exception results from unsigned char divisision 255/2

Release:
3.1

Environment:
System: Linux Rosinante 2.4.4 #13 Sat Jul 7 09:23:17 CEST 2001 i686 unknown
Architecture: i686

    <machine, os, target, libraries (multiple lines)>
host: i686-pc-linux-gnu
build: i686-pc-linux-gnu
target: i686-pc-linux-gnu
configured with: ../gcc-3.1/configure --enable-threads --prefix=/usr/local/gcc-3.1

How-To-Repeat:
gcc -O0 unsigned_char_division_error.c
./a.out
Comment 1 Richard Henderson 2002-09-04 15:26:33 UTC
State-Changed-From-To: open->closed
State-Changed-Why: http://gcc.gnu.org/ml/gcc-patches/2002-07/msg00307.html
Comment 2 Richard Henderson 2002-09-04 22:24:12 UTC
From: rth@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c/7102
Date: 4 Sep 2002 22:24:12 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	rth@gcc.gnu.org	2002-09-04 15:24:12
 
 Modified files:
 	gcc            : ChangeLog optabs.c 
 Added files:
 	gcc/testsuite/gcc.c-torture/execute: 20020904-1.c 
 
 Log message:
 	PR c/7102
 	* optabs.c (expand_binop): Convert CONST_INTs in all cases.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.15311&r2=1.15312
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/optabs.c.diff?cvsroot=gcc&r1=1.143&r2=1.144
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.c-torture/execute/20020904-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1